/****************************************************************************

    PROGRAM: runwire.c

    PURPOSE: Example of using Awas_w_2.DLL

    FUNCTIONS:

	WinMain() - runs WIRE

****************************************************************************/

#include "windows.h"		    /* required for all Windows applications */

/****************************************************************************

    FUNCTION: WinMain(HANDLE, HANDLE, LPSTR, int)

    PURPOSE: runs WIRE

    COMMENTS:

        Quasi-Windows application that runs function WIRE form DLL

	NOTE:
		
		In order to run this sample, in the same folder, must exist:
		awas_w_2.dll, dforrt.dll, Wire.geo, Wire.frq, Wire.ffp, Wire.nfp, Wire.pwe.
		The first and the second are DLLs that come along with AWAS and the rest are 
		input data files.

****************************************************************************/

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	HANDLE hLibrary;				/* Handle for Library */
	FARPROC lpWire;					/* Pointer to CALLBACK function */
	int rc;							/* Integer receiving exit code from WIRE */
	
	/* Opening Awas_w_2.dll */
	hLibrary = LoadLibrary((LPSTR) "Awas_w_2.dll");
	
	/* Obatining the address of function WIRE */
	lpWire	 = GetProcAddress(hLibrary,"WIRE");

	/* Running the function WIRE */
	rc=(*lpWire)();					
    
    /* Closing DLL */
	FreeLibrary(hLibrary);
	
	ExitProcess(rc);
    return (rc);
}

